
Foreman - Feature #11393

Class importer should present useful errors

08/17/2015 03:10 PM - Josh Baird

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It's often difficult to figure out why Puppet classes are not being imported Foreman.  Most of the time, it's due to some typo in the

class it's self.  It would be helpful if Foreman would present a useful error or notification when it encountered an error during class

import.  This would help the user determine what the problem may be.

Related issues:

Is duplicate of Foreman - Bug #3900: Class removed because invalid syntax val... New 12/17/2013

History

#1 - 08/18/2015 03:03 AM - Dominic Cleal

- Is duplicate of Bug #3900: Class removed because invalid syntax validation added

#2 - 08/18/2015 03:03 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report Josh, this is covered under #3900 and related tickets.
